Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 19 Apr 2014, 13:00
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Miniweb browser (tiny QT4 app)
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [9 Posts]  
Author Message
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Sat 08 May 2010, 09:04    Post subject:  Miniweb browser (tiny QT4 app)
Subject description: Fixed miniweb.desktop
 

Dear puppians,

Here is a pet I made of miniweb, a QT4-based mini-browser (217k unpacked) that is not bad at reading offline html docs and also suitable for quick browsing using netbooks, since it was conceived as an emulator of various smartphone browser apps. Once it is running, just click on the menu to see what emulations are there. You can add your own later.

Please bear in mind that you need libQtWebKit, along with the standard/core QT4 libs, installed to get this program to work.

Here is a screenshot.

I fixed the pet since jrb pointed out that the desktop entry was in the wrong place (I forgot to move the /shared/applications dir into /usr). Mea culpa and thanks.

With kind regards,
vovchik

PS. I compiled it in Puppy 3.10 using qt 4.4, but it works fine (I tested) in 4.x. The source code is at: http://www.bernd-stramm.com/download.php?BHS=c1a74e2bf65d9d231d841b97427b14ea#miniweb
miniweb-0.1.pet
Description 
pet

 Download 
Filename  miniweb-0.1.pet 
Filesize  106.28 KB 
Downloaded  457 Time(s) 
miniweb.jpg
 Description   
 Filesize   26.83 KB
 Viewed   716 Time(s)

miniweb.jpg


Last edited by vovchik on Sun 09 May 2010, 12:30; edited 1 time in total
Back to top
View user's profile Send private message 
Roy

Joined: 31 Dec 2008
Posts: 442

PostPosted: Sun 09 May 2010, 11:13    Post subject:    

Looks interesting, although no menu entry is a bit disappointing.

Code:
# miniweb
miniweb: error while loading shared libraries: libQtWebKit.so.4: cannot open shared object file: No such file or directory


I haven't found an appropriate Qt4 library for Puppy 4.31 to satisfy this dependency. Does anyone have a link?

Thanks in advance,
-Roy
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Sun 09 May 2010, 11:38    Post subject:  

Dear Roy,

Technosaurus has produced a pet of the required lib (or so I gather). The link is here: http://www.murga-linux.com/puppy/viewtopic.php?search_id=1586795971&t=47004

With kind regards,
vovchik
Back to top
View user's profile Send private message 
jrb


Joined: 11 Dec 2007
Posts: 1017
Location: Smithers, BC, Canada

PostPosted: Sun 09 May 2010, 11:57    Post subject:  

Roy wrote:
no menu entry is a bit disappointing.

Hi vovchik, The /share/applications/miniweb.desktop is in / not in /usr where it should be.

Hope that is of some help, J
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Sun 09 May 2010, 12:31    Post subject:  

Dear jrb,

Fixed it, I think (see first post). Many thanks.

With kind regards,
vovchik
Back to top
View user's profile Send private message 
Roy

Joined: 31 Dec 2008
Posts: 442

PostPosted: Sun 09 May 2010, 21:19    Post subject:  

Thanks, guys.

I reloaded the miniweb pet and verified the menu entry. Of course nothing would run because of the missing qt4webkit, so I followed the link provided above to techno's pets. Installed libQtWebKit-4.5.2.pet, libQtCore-4.5.2.pet, libQtGui-4.5.2.pet, and libQtNetwork-4.5.2.pet.....

and still nothing runs.

Terminal shows:
Code:
# miniweb
miniweb: symbol lookup error: /usr/lib/libQtWebKit.so.4: undefined symbol: _ZN24QXmlStreamEntityResolver13resolveEntityERK7QStringS2_


Maybe it is because I am running Boxpup 4.31 at the moment instead of something with ROX/JWM? I'm shooting in the dark at this point.

-Roy

EDIT: I went ahead and installed techosaurus' webkit browser from the same post his library links were in, and it runs from menu, but isn't quite what I would use day-to-day (see pic). Looking forward to trying miniweb out, if we can get it to run.
pupscreen-09May,182404.jpeg
Description  netbook screenshot
jpeg

 Download 
Filename  pupscreen-09May,182404.jpeg 
Filesize  100.54 KB 
Downloaded  413 Time(s) 
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Mon 10 May 2010, 07:10    Post subject:  

Dear Roy,

It looks as if your newer QT4 libQtWebKit does not like my slightly older version, which is 4.4.0. Could anybody try a compile against the newer libs for Roy and others tho are using technosaurus's QT4 libs?

With kind regards,
vovchik
Back to top
View user's profile Send private message 
jrb


Joined: 11 Dec 2007
Posts: 1017
Location: Smithers, BC, Canada

PostPosted: Mon 10 May 2010, 12:43    Post subject:  

I used ftp://distro.ibiblio.org/pub/linux/distributions/tinycorelinux/2.x/tcz/qt-4.5-base.tcz, ftp://distro.ibiblio.org/pub/linux/distributions/tinycorelinux/2.x/tcz/qt-4.5-webkit.tcz and ftp://distro.ibiblio.org/pub/linux/distributions/tinycorelinux/2.x/tcz/qt-4.5-xml.tcz and got it to work in quirky21.

You can change the .tcz to .sfs on the above. They are SFS4's.

My only problem is I can't increase the viewing size. Increasing the window size just gives me blank space around the browser.

Tried to attach picture but am getting:
Quote:
Sorry, but the maximum filesize for all Attachments is reached. Please contact the Board Administrator if you have questions.
. Its only a 39kb picture. Confused
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Mon 10 May 2010, 14:12    Post subject:  

Dear jrb,

Just edit /root/.miniweb_agents.xml using a text editor as follows :

Code:
 <Agent name="Max" >
  <useragentstring>Maxwell Smart</useragentstring>
  <size high="700" wide="900" />
 </Agent>


The "Max" entry is the default used by miniweb, so a change there in width and height will solve default size the problem.

With kind regards,
vovchik
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [9 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0605s ][ Queries: 12 (0.0045s) ][ GZIP on ]